org.jboss.jca.common.metadata.merge

## Class Merger

- java.lang.Object
- - org.jboss.jca.common.metadata.merge.Merger

-     public class Merger
      extends java.lang.Object

  A Merger.
  Author:
    Stefano Maestri

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `Merger.ConfigPropertyFactory` A ConfigPropertyFactory.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Merger()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<org.jboss.jca.common.api.metadata.spec.ConfigProperty>` | `mergeConfigProperties(java.util.Map<java.lang.String,java.lang.String> ijProperties, java.util.List<org.jboss.jca.common.api.metadata.spec.ConfigProperty> original)` Merge ironJacamar's properties with connector's one returning a List of COnnector's properties
    `org.jboss.jca.common.api.metadata.spec.Connector` | `mergeConnectorAndDs(org.jboss.jca.common.api.metadata.ds.CommonDataSource cds, org.jboss.jca.common.api.metadata.spec.Connector connector)` Merge a connector with a DataSource metadata
    `org.jboss.jca.common.api.metadata.spec.Connector` | `mergeConnectorWithCommonIronJacamar(org.jboss.jca.common.api.metadata.resourceadapter.Activation ij, org.jboss.jca.common.api.metadata.spec.Connector conn)` Merge a `Connector` and a `Activation` passing also Matcher to identify `AdminObject` and `ConnectionDefinition` to merge inside the passed objects

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Merger

          public Merger()

  - ### Method Detail

    - #### mergeConfigProperties

          public java.util.List<org.jboss.jca.common.api.metadata.spec.ConfigProperty> mergeConfigProperties(java.util.Map<java.lang.String,java.lang.String> ijProperties,
                                                                                                             java.util.List<org.jboss.jca.common.api.metadata.spec.ConfigProperty> original)

      Merge ironJacamar's properties with connector's one returning a List of COnnector's properties
      Parameters:
        `ijProperties` - ironjacamar's extension style properties
        `original` - standard connector's properties
      Returns:
        merged standard connector's properties (ironjacamar's setting overwrite the standard's one. No new property is added)

    - #### mergeConnectorWithCommonIronJacamar

          public org.jboss.jca.common.api.metadata.spec.Connector mergeConnectorWithCommonIronJacamar(org.jboss.jca.common.api.metadata.resourceadapter.Activation ij,
                                                                                                      org.jboss.jca.common.api.metadata.spec.Connector conn)

      Merge a `Connector` and a `Activation` passing also Matcher to identify `AdminObject` and `ConnectionDefinition` to merge inside the passed objects
      Parameters:
        `ij` - the `Activation` object
        `conn` - `Connector` object
      Returns:
        The merged `Connector`

    - #### mergeConnectorAndDs

          public org.jboss.jca.common.api.metadata.spec.Connector mergeConnectorAndDs(org.jboss.jca.common.api.metadata.ds.CommonDataSource cds,
                                                                                      org.jboss.jca.common.api.metadata.spec.Connector connector)
                                                                               throws java.lang.IllegalArgumentException,
                                                                                      java.lang.Exception

      Merge a connector with a DataSource metadata
      Parameters:
        `cds` - the datasource it is one of interface extending `CommonDataSource`. IOW it can be both `DataSource` or `XaDataSource`
        `connector` - the connector to merge
      Returns:
        the connector with mapped properties taken forn ds
      Throws:
        `java.lang.IllegalArgumentException` - if version is't 1.0, 1.5 or 1.6
        `java.lang.Exception` - in case of error

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)